      SUBROUTINE GETFN(FNAME)
	LOGICAL*1 IHS,IHR,IHC,IHK,IHE,IHF,IHBLANK,IHDOT,IHP,IHB
	1 ,IHSTAR,IHT,IHQUEST,IHNUM,AIT(8)
      COMMON/HOLLER/IHEOL,IHREAL,IHALPHA,IHS,IHR,IHC,IHK,IHGREEN,IHRED, 
     +IHYELLO,IHDOCKD,IHE,IHF,IHBLANK,IHDOT,IHQUEST,IHP,IHSTAR,IHB
     +,IHT,IHNUM  
	REAL*8 AITEM
	COMMON/SCANBF/KEY,AITEM
	EQUIVALENCE (AIT,AITEM)
C*  READ IN A LEGAL FILE NAME (FOR FREEZE AND THAW)
C*  A NON-ALPHA ENTRY ABORTS THE ATTEMPT 
40	CALL SCAN
      IF (KEY .NE. IHEOL) GO TO 50
C*--PROMPT FOR A VALID FILE NAME 
	CALL PROMPT(18HENTER FILE NAME:      ,18) 
      GO TO 40
50	IF (KEY .EQ. IHALPHA) FNAME=RAD50(AIT)
      RETURN      
      END 
